# Uses of Interface
com.sun.jdi.request.VMDeathRequest

Packages that use VMDeathRequest
Package
Description
com.sun.jdi.request
This package is used to request that a JDI event be sent under specified conditions.

## Uses of VMDeathRequest in com.sun.jdi.request

Methods in com.sun.jdi.request that return VMDeathRequest
Modifier and Type
Method
Description
`VMDeathRequest`
EventRequestManager.`createVMDeathRequest()`
Creates a new disabled `VMDeathRequest`.
Methods in com.sun.jdi.request that return types with arguments of type VMDeathRequest
Modifier and Type
Method
Description
`List<VMDeathRequest>`
EventRequestManager.`vmDeathRequests()`
Return an unmodifiable list of the enabled and disabled VM death requests.